> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://bcdtravel.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://bcdtravel.ferndocs.com/_mcp/server.

# Get trip by ID

GET https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593

Retrieve detailed trip information by trip ID.

Reference: https://bcdtravel.ferndocs.com/itinerary/api-reference/travel-data-api-itinerary/trips/get-by-trip-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://travel-data-api.bcdtravel.com` (https://travel-data-api.bcdtravel.com, default)
- `https://auth.travel-data-api.bcdtravel.com` (https://auth.travel-data-api.bcdtravel.com)

## Response

### 200

GetTrips By tripId

- `code` (integer, optional)
- `status` (string, optional)
- `result` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResult, optional)

## Types

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResult

- `identification` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultIdentification, optional)
- `tripDetails` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTripDetails, optional)
- `travelers` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTravelersItems, optional)
- `contacts` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContacts, optional)
- `segments` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItems, optional)
- `fareInfos` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItems, optional)
- `remarks` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultRemarksItems, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultIdentification

- `id` (string, optional)
- `sourceId` (string, optional)
- `recordLocator` (string, optional)
- `gds` (integer, optional)
- `accountId` (string, optional)
- `globalCustomerNumber` (string, optional)
- `customerNumber` (string, optional)
- `creationOfficeId` (string, optional)
- `agentSignature` (string, optional)
- `pseudoCityCode` (string, optional)
- `dataType` (string, optional)
- `dataProvider` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTripDetails

- `bookingDateTime` (datetime, optional)
- `lastModifiedDateTime` (datetime, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTravelersItems

- `travelerNumber` (string, optional)
- `name` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTravelersItemsName, optional)
- `nameInGds` (string, optional)
- `loyaltyMemberships` (list of any, optional)
- `seatPreferences` (list of any, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContacts

- `phoneNumbers` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContactsPhoneNumbersItems, optional)
- `emailAddresses` (list of Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContactsEmailAddressesItems, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItems

- `type` (string, optional)
- `segmentNumber` (integer, optional)
- `confirmationNumber` (string, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `status` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsStatus, optional)
- `isPassive` (boolean, optional)
- `isCancelled` (boolean, optional)
- `isScheduleChange` (boolean, optional)
- `departureAirport` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirport, optional)
- `arrivalAirport` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirport, optional)
- `marketingFlight` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsMarketingFlight, optional)
- `operatingFlight` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsOperatingFlight, optional)
- `ticket` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsTicket, optional)
- `seatSelections` (list of any, optional)
- `mealPreferences` (list of any, optional)
- `meal` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsMeal, optional)
- `equipment` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsEquipment, optional)
- `classOfService` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsClassOfService, optional)
- `inFlightServices` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsInFlightServices, optional)
- `flightDistance` (integer, optional)
- `calculatedDuration` (string, optional)
- `numberOfStops` (integer, optional)
- `isFlown` (boolean, optional)
- `isChangeOfGuage` (boolean, optional)
- `marriedToSegments` (list of integer, optional)
- `connectedSegments` (list of integer, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItems

- `segmentNumbers` (list of string, optional)
- `fare` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItemsFare, optional)
- `estimatedTotalFare` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItemsEstimatedTotalFare, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultRemarksItems

- `lineNumber` (integer, optional)
- `type` (integer, optional)
- `category` (string, optional)
- `contents` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultTravelersItemsName

- `firstName` (string, optional)
- `lastName` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContactsPhoneNumbersItems

- `number` (string, optional)
- `type` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultContactsEmailAddressesItems

- `emailAddress` (string, optional)
- `type` (string, optional)
- `isPrimary` (boolean, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsStatus

- `code` (string, optional)
- `description` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirport

- `airport` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirport, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirport

- `airport` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirport, optional)
- `terminal` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsMarketingFlight

- `airlineCode` (string, optional)
- `airlineName` (string, optional)
- `flightNumber` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsOperatingFlight

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsTicket

- `isTicketed` (boolean, optional)
- `isTicketless` (boolean, optional)
- `isETicketCandidate` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsMeal

- `hasSpecialMeal` (integer, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsEquipment

- `code` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsClassOfService

- `code` (string, optional)
- `description` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsInFlightServices

- `code` (string, optional)
- `description` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItemsFare

- `amount` (integer, optional)
- `currency` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultFareInfosItemsEstimatedTotalFare

- `amount` (integer, optional)
- `currency` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirport

- `code` (string, optional)
- `address` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddress, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirport

- `code` (string, optional)
- `address` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddress, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddress

- `city` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressCity, optional)
- `region` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressRegion, optional)
- `country` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressCountry, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddress

- `city` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressCity, optional)
- `region` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressRegion, optional)
- `country` (Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressCountry, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressCity

- `name` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressRegion

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsDepartureAirportAirportAddressCountry

- `code` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressCity

- `name` (string, optional)

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressRegion

### Trips2B0E301B38654E62A34B397271Bd4593GetResponsesContentApplicationJsonSchemaResultSegmentsItemsArrivalAirportAirportAddressCountry

- `code` (string, optional)

## Examples

**Response**

```json
{
  "code": 200,
  "status": "ok",
  "result": {
    "identification": {
      "id": "2b0e301b-3865-4e62-a34b-397271bd4593",
      "sourceId": "780569999999999",
      "recordLocator": "BMSAAD",
      "gds": 1,
      "accountId": "9999999999",
      "globalCustomerNumber": "9999",
      "customerNumber": "0000000000",
      "creationOfficeId": "D2V0",
      "agentSignature": "AMS",
      "pseudoCityCode": "D2V0",
      "dataType": "BCD",
      "dataProvider": "US"
    },
    "tripDetails": {
      "bookingDateTime": "2014-12-31T01:00:00Z",
      "lastModifiedDateTime": "2019-05-03T13:44:04Z"
    },
    "travelers": [
      {
        "travelerNumber": "1",
        "name": {
          "firstName": "User3",
          "lastName": "devTest"
        },
        "nameInGds": "devTest/User3",
        "loyaltyMemberships": [],
        "seatPreferences": []
      }
    ],
    "contacts": {
      "phoneNumbers": [
        {
          "number": "440-123-4567",
          "type": "Agent"
        }
      ],
      "emailAddresses": [
        {
          "emailAddress": "DEVTESTUSER3@BCDTRAVEL.COM",
          "type": "TO",
          "isPrimary": true
        }
      ]
    },
    "segments": [
      {
        "type": "Air",
        "segmentNumber": 1,
        "confirmationNumber": "YNLGXP",
        "startDateTime": "2028-11-08T16:27:00",
        "endDateTime": "2028-11-08T17:19:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "departureAirport": {
          "airport": {
            "code": "BWI",
            "address": {
              "city": {
                "name": "Baltimore"
              },
              "region": {},
              "country": {
                "code": "US"
              }
            }
          }
        },
        "arrivalAirport": {
          "airport": {
            "code": "PHL",
            "address": {
              "city": {
                "name": "Philadelphia"
              },
              "region": {},
              "country": {
                "code": "US"
              }
            }
          },
          "terminal": "TERMINAL F"
        },
        "marketingFlight": {
          "airlineCode": "AA",
          "airlineName": "American Airlines",
          "flightNumber": "4218"
        },
        "operatingFlight": {},
        "ticket": {
          "isTicketed": false,
          "isTicketless": false,
          "isETicketCandidate": "True"
        },
        "seatSelections": [],
        "mealPreferences": [],
        "meal": {
          "hasSpecialMeal": 0
        },
        "equipment": {
          "code": "CRJ"
        },
        "classOfService": {
          "code": "Y",
          "description": "Economy"
        },
        "inFlightServices": {
          "code": "10",
          "description": "Non Smoking"
        },
        "flightDistance": 90,
        "calculatedDuration": "52",
        "numberOfStops": 0,
        "isFlown": false,
        "isChangeOfGuage": false,
        "marriedToSegments": [
          2
        ],
        "connectedSegments": [
          2
        ]
      },
      {
        "type": "Air",
        "segmentNumber": 2,
        "confirmationNumber": "YNLGXP",
        "startDateTime": "2028-11-08T21:00:00",
        "endDateTime": "2028-11-09T10:35:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "departureAirport": {
          "airport": {
            "code": "PHL",
            "address": {
              "city": {
                "name": "Philadelphia"
              },
              "region": {},
              "country": {
                "code": "US"
              }
            }
          },
          "terminal": "TERMINAL A"
        },
        "arrivalAirport": {
          "airport": {
            "code": "AMS",
            "address": {
              "city": {
                "name": "Amsterdam"
              },
              "region": {},
              "country": {
                "code": "NL"
              }
            }
          }
        },
        "marketingFlight": {
          "airlineCode": "AA",
          "airlineName": "American Airlines",
          "flightNumber": "204"
        },
        "operatingFlight": {},
        "ticket": {
          "isTicketed": false,
          "isTicketless": false,
          "isETicketCandidate": "True"
        },
        "seatSelections": [],
        "mealPreferences": [],
        "meal": {
          "hasSpecialMeal": 0,
          "code": "D,B",
          "description": "Dinner,Breakfast"
        },
        "equipment": {
          "code": "757"
        },
        "classOfService": {
          "code": "Y",
          "description": "Economy"
        },
        "inFlightServices": {
          "code": "10",
          "description": "Non Smoking"
        },
        "flightDistance": 3724,
        "calculatedDuration": "455",
        "numberOfStops": 0,
        "isFlown": false,
        "isChangeOfGuage": false,
        "marriedToSegments": [
          1
        ],
        "connectedSegments": [
          1
        ],
        "isInternational": true
      },
      {
        "type": "Hotel",
        "segmentNumber": 3,
        "confirmationNumber": "3391904977",
        "startDateTime": "2028-11-09T00:00:00",
        "endDateTime": "2028-11-10T00:00:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "property": {
          "code": "26364",
          "name": "Doubletree Amsterdam",
          "hotelChain": {
            "code": "HL"
          },
          "phone": {
            "number": "31-20-5300800"
          },
          "address": {
            "address1": "Oosterdokstraat 4",
            "city": {
              "code": "AMS",
              "name": "Amsterdam"
            },
            "region": {},
            "postalCode": "1011",
            "country": {
              "code": "NL"
            },
            "notes": "OOSTERDOKSTRAAT 4 AMSTERDAM NL 1011 NL"
          },
          "nearestAirportCode": "AMS"
        },
        "numberOfNights": 1,
        "numberOfRooms": 1,
        "room": {
          "type": {
            "code": "A03"
          },
          "numberOfGuests": 1
        },
        "fare": {
          "rateCode": "LV5",
          "rateSchedule": 1,
          "isMultiDateRate": 2,
          "rate": {
            "amount": 269,
            "currency": "EUR"
          },
          "rateChangeDuringStay": 2,
          "rateChangeInfos": [],
          "creditCardGuarantee": "VI44XXXXXXXXXX1111EXP 12 20-KNOWLS"
        },
        "bookingSource": "11617152",
        "overview": " 3  HHL HL HK1 AMS IN09NOV Q-OUT10NOV   1NT   26364 DO    /DCHL UBLETREE AMSTERDAM 1A03LV5-1/269.00EUR/CMN-C/CMT-COMMISSIONABLE /TAC-10.00 PCT/AGT11617152/GVI4XXXXXXXXXXX1111EXP 12 20-KNOWLS/ C01D/SI-CF-3391904977- BEST AVAILABLE RATE            269.00EUR  A03LV5 TTL TAX    13.45 TTL SURCHARGES  0.00 APPROX. TOTAL PRICE 282.45 EUR INCLUDES TAXES AND SURCHARGES EXCLUDES INCIDENTALS BEST AVAILABLE RATE QUEEN GUEST ROOM FREE WIFI, APPLE IMAC GUARANTEE   - REQUIRED CANCELLATION- CANCEL 1 DAYS PRIOR TO ARRIVAL COMMISSION  - COMMISSIONABLE NUMBER OF ADULTS 1",
        "loyaltyMemberships": []
      },
      {
        "type": "Hotel",
        "segmentNumber": 4,
        "confirmationNumber": "66263851",
        "startDateTime": "2028-11-10T00:00:00",
        "endDateTime": "2028-11-12T00:00:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "property": {
          "code": "88690",
          "name": "Holiday Inn Zurich Messe",
          "hotelChain": {
            "code": "HI"
          },
          "phone": {
            "number": "41-443-161100"
          },
          "address": {
            "address1": "Wallisellenstrasse 48",
            "city": {
              "code": "ZRH",
              "name": "Zurich"
            },
            "region": {},
            "postalCode": "8050",
            "country": {
              "code": "CH"
            },
            "notes": "WALLISELLENSTRASSE 48 ZURICH CH 8050 CH"
          },
          "nearestAirportCode": "ZRH"
        },
        "numberOfNights": 2,
        "numberOfRooms": 1,
        "room": {
          "type": {
            "code": "STN"
          },
          "numberOfGuests": 1
        },
        "fare": {
          "rateCode": "BTD",
          "rateSchedule": 1,
          "isMultiDateRate": 2,
          "rate": {
            "amount": 204,
            "currency": "CHF"
          },
          "rateChangeDuringStay": 2,
          "rateChangeInfos": [],
          "creditCardGuarantee": "VI44XXXXXXXXXX1111EXP 12 20-KNOWLS",
          "corporateDiscountNumber": "100221835"
        },
        "bookingSource": "11617152",
        "overview": " 4  HHL HI HK1 ZRH IN10NOV F-OUT12NOV   2NT   88690 HO    /DCHI LIDAY INN ZURICH MESSE 1STNBTD-1/204.00CHF/RC-BCD-BTD-X/CMN-C/C MT-COMMISSIONABLE/AGT11617152/GVI4XXXXXXXXXXX1111EXP 12 20-KNOW LS/CD-100221835/C01D/SI-CF-66263851- BCD TRAVEL INCLUDING HIGH     **RATE CHG  STNBTD 184.00                       EFF 10NOV-11NOV 204.00                       EFF 11NOV-12NOV TTL TAX    5.00 5.00  SERVICE CHARGE APPROX. TOTAL PRICE 393.00 CHF INCLUDES TAX BCD TRAVEL INCLUDING HIGH  SPEED WLAN AND MINI GYM STANDARD ROOM WHEN YOU ARRIVE WE WILL DO OUR BEST TO MEET  YOUR ROOM AND BED TYPE PREFERENCES. THESE ARE SUBJECT TO  INCLUDING HIGH SPEED WLAN AND MINI GYM WHEN YOU ARRIVE WE WILL DO OUR BEST TO MEET YOUR ROOM AND BED TYPE PREFERENCES. THESE ARE SUBJECT TO AVAILABILITY AND CANNOT BE GUARANTEED. STANDARD ROOMS HAVE A MAXIMUM CAPACITY OF 2 GUESTS. THIS ROOM TYPE PROVIDES AIR CONDITION AND A WATER KETTLE TO PREPARE A COFFEE OR TEA. GUARANTEE   - REQUIRED CANCELLATION- CANCEL 1 DAYS PRIOR TO ARRIVAL COMMISSION  - COMMISSIONABLE ** ADDITIONAL PRODUCT RULE/POLICY INFORMATION ** CANCELLATION-CXL AFTER 1600 09NOV FORFEIT FIRST NITE STAY GUARANTEE-GUARANTEE REQUIRED OTHER-CHECK IN: 1500  CHECK OUT: 1200 EXCLUDES GRATUITY NUMBER OF ADULTS 1",
        "loyaltyMemberships": []
      },
      {
        "type": "Hotel",
        "segmentNumber": 5,
        "confirmationNumber": "66269659",
        "startDateTime": "2028-11-12T00:00:00",
        "endDateTime": "2028-12-12T00:00:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "property": {
          "code": "1157",
          "name": "Intercontinental Geneva",
          "hotelChain": {
            "code": "IC"
          },
          "phone": {
            "number": "41229193939"
          },
          "address": {
            "address1": "7-9 Chemin du Petit-Saconnex Geneva 19 CH 1211",
            "city": {
              "code": "GVA"
            },
            "region": {},
            "country": {
              "code": "CH"
            },
            "notes": "7-9 CHEMIN DU PETIT-SACONNEX GENEVA 19 CH 1211 CH"
          },
          "nearestAirportCode": "GVA"
        },
        "numberOfNights": 3,
        "numberOfRooms": 1,
        "room": {
          "type": {
            "code": "CSP"
          },
          "numberOfGuests": 1
        },
        "fare": {
          "rateCode": "013A",
          "rateSchedule": 1,
          "isMultiDateRate": 2,
          "rate": {
            "amount": 580,
            "currency": "CHF"
          },
          "rateChangeDuringStay": 2,
          "rateChangeInfos": [],
          "creditCardGuarantee": "VI44XXXXXXXXXX1111EXP 12 20-KNOWLS"
        },
        "bookingSource": "11617152",
        "cancellationPolicy": "Cancel 1 day prior to arrival local hotel time to avoid any charges.",
        "overview": " 5  HHL IC HK1 GVA IN12NOV S-OUT15NOV   3NT    1157 IN    /DCIC TERCONTINENTAL GENEVA 1CSP013A-1/580.00CHF/RC-@@@-@@@-@/CMN-C/C MT-COMMISSIONABLE/AGT11617152/GVI4XXXXXXXXXXX1111EXP 12 20-KNOW LS/C01D/DEP-1230/SI-CF-66269659- BEST FLEXIBLE RATE            **RATE CHG  CSP013A 356.00                       EFF 12NOV-13NOV 404.00                       EFF 13NOV-14NOV 580.00                       EFF 14NOV-15NOV TTL TAX    0.00 APPROX. TOTAL PRICE 1340.00 CHF INCLUDES TAX BEST FLEXIBLE RATE  SUPERIOR ROOM 25SQM REDESIGNED ROOM OFFERING FREE WIFI ALL  THE COMFORT AND TECHNOLOGY NEEDED. GUESTS BENEFIT FROM  25SQM REDESIGNED ROOM OFFERING FREE WIFI ALL THE COMFORT AND TECHNOLOGY NEEDED. GUESTS BENEFIT FROM COMPLIMENTARY ACCESS TO THE SAUNA HAMMAN FITNESS CENTER AND TO THE POOL. IDEAL TO WORK OR TO RELAX. BED TYPE AND SMOKING PREFERENCE WILL BE ALLOCATED UPON ARRIVAL BASED ON AVAILABILITY. GUARANTEE   - REQUIRED CANCELLATION- CANCEL 1 DAYS PRIOR TO ARRIVAL COMMISSION  - COMMISSIONABLE ** ADDITIONAL PRODUCT RULE/POLICY INFORMATION ** CANCELLATION-CXL AFTER 1600 11NOV FORFEIT FIRST NITE STAY GUARANTEE-GUARANTEE REQUIRED OTHER-CHECK IN: 1500  CHECK OUT: 1200 EXCLUDES GRATUITY NUMBER OF ADULTS 1",
        "loyaltyMemberships": []
      },
      {
        "type": "Air",
        "segmentNumber": 6,
        "confirmationNumber": "YNLGXP",
        "startDateTime": "2028-12-12T12:30:00",
        "endDateTime": "2028-12-12T13:20:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "departureAirport": {
          "airport": {
            "code": "GVA",
            "address": {
              "city": {
                "name": "Geneva"
              },
              "region": {},
              "country": {
                "code": "CH"
              }
            }
          },
          "terminal": "TERMINAL 1"
        },
        "arrivalAirport": {
          "airport": {
            "code": "LHR",
            "address": {
              "city": {
                "name": "London"
              },
              "region": {},
              "country": {
                "code": "GB"
              }
            }
          },
          "terminal": "TERMINAL 5"
        },
        "marketingFlight": {
          "airlineCode": "AA",
          "airlineName": "American Airlines",
          "flightNumber": "6337"
        },
        "operatingFlight": {
          "airlineCode": "BA",
          "airlineName": "British Airways"
        },
        "ticket": {
          "isTicketed": false,
          "isTicketless": false,
          "isETicketCandidate": "True"
        },
        "seatSelections": [],
        "mealPreferences": [],
        "meal": {
          "hasSpecialMeal": 0,
          "code": "G",
          "description": "Food and Beverages for Purchase"
        },
        "equipment": {
          "code": "321"
        },
        "classOfService": {
          "code": "Y",
          "description": "Economy"
        },
        "inFlightServices": {
          "code": "10",
          "description": "Non Smoking"
        },
        "flightDistance": 469,
        "calculatedDuration": "110",
        "numberOfStops": 0,
        "isFlown": false,
        "isChangeOfGuage": false,
        "marriedToSegments": [
          7
        ],
        "connectedSegments": [
          7
        ],
        "isInternational": true
      },
      {
        "type": "Air",
        "segmentNumber": 7,
        "confirmationNumber": "YNLGXP",
        "startDateTime": "2028-12-12T15:15:00",
        "endDateTime": "2028-12-12T18:30:00",
        "status": {
          "code": "HK",
          "description": "Booked"
        },
        "isPassive": false,
        "isCancelled": false,
        "isScheduleChange": false,
        "departureAirport": {
          "airport": {
            "code": "LHR",
            "address": {
              "city": {
                "name": "London"
              },
              "region": {},
              "country": {
                "code": "GB"
              }
            }
          },
          "terminal": "TERMINAL 5"
        },
        "arrivalAirport": {
          "airport": {
            "code": "BWI",
            "address": {
              "city": {
                "name": "Baltimore"
              },
              "region": {},
              "country": {
                "code": "US"
              }
            }
          }
        },
        "marketingFlight": {
          "airlineCode": "AA",
          "airlineName": "American Airlines",
          "flightNumber": "6174"
        },
        "operatingFlight": {
          "airlineCode": "BA",
          "airlineName": "British Airways"
        },
        "ticket": {
          "isTicketed": false,
          "isTicketless": false,
          "isETicketCandidate": "True"
        },
        "seatSelections": [],
        "mealPreferences": [],
        "meal": {
          "hasSpecialMeal": 0,
          "code": "M",
          "description": "Meal"
        },
        "equipment": {
          "code": "788"
        },
        "classOfService": {
          "code": "Y",
          "description": "Economy"
        },
        "inFlightServices": {
          "code": "10",
          "description": "Non Smoking"
        },
        "flightDistance": 3622,
        "calculatedDuration": "495",
        "numberOfStops": 0,
        "isFlown": false,
        "isChangeOfGuage": false,
        "marriedToSegments": [
          6
        ],
        "connectedSegments": [
          6
        ],
        "isInternational": true
      }
    ],
    "fareInfos": [
      {
        "segmentNumbers": [
          "3"
        ],
        "fare": {
          "amount": 269,
          "currency": "EUR"
        },
        "estimatedTotalFare": {
          "amount": 269,
          "currency": "EUR"
        }
      },
      {
        "segmentNumbers": [
          "4"
        ],
        "fare": {
          "amount": 204,
          "currency": "EUR"
        },
        "estimatedTotalFare": {
          "amount": 408,
          "currency": "EUR"
        }
      },
      {
        "segmentNumbers": [
          "5"
        ],
        "fare": {
          "amount": 580,
          "currency": "EUR"
        },
        "estimatedTotalFare": {
          "amount": 1740,
          "currency": "EUR"
        }
      }
    ],
    "remarks": [
      {
        "lineNumber": 1,
        "type": 10,
        "category": "Y",
        "contents": "TOEN-DEVTESTUSER3.AT.BCDTRAVEL.COM"
      },
      {
        "lineNumber": 6,
        "type": 10,
        "category": "X",
        "contents": "TID-NA-9999999999-9999"
      },
      {
        "lineNumber": 8,
        "type": 10,
        "category": "Q",
        "contents": "DO NOT TICKET"
      },
      {
        "lineNumber": 9,
        "type": 10,
        "category": "S",
        "contents": "VIP"
      }
    ]
  }
}
```

**SDK Code**

```python Trips_getByTripId_example
import requests

url = "https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Trips_getByTripId_example
const url = 'https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Trips_getByTripId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Trips_getByTripId_example
require 'uri'
require 'net/http'

url = URI("https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Trips_getByTripId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Trips_getByTripId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Trips_getByTripId_example
using RestSharp;

var client = new RestClient("https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Trips_getByTripId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://travel-data-api.bcdtravel.com/trips/2b0e301b-3865-4e62-a34b-397271bd4593")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```